import { EventEmitter } from '../../stencil-public-runtime';
import { Prize } from './interfaces';
import { TrackedPromiseState } from '../../Helpers/tracked-promise';
export declare class SallaRewardDetails {
    prize: Prize;
    actionClick: EventEmitter<MouseEvent>;
    category: TrackedPromiseState<any>;
    brand: TrackedPromiseState<any>;
    refreshKey: number;
    handlePrizeChange(): void;
    componentWillLoad(): void;
    getTermsAndConditions(): any[];
    findItems(ids: number[] | undefined): any;
    getIncludedItems(items: any[] | undefined, ids: number[] | undefined): any;
    getProductIds(ids: number[] | undefined): number[];
    getItemsMarkers(key: 'included' | 'excluded' | 'both'): any;
    getItemsMarkersText(): any;
    getCategoriesJsx(items: any[], title: string): any;
    getBrandsJsx(items: any[], title: string): any;
    getProductsJsx(items: any[], title: string): any;
    render(): any;
}
